commit fb6b689d1f2461835984ca20be61074ff75a3656
Author: Artur Frenszek-Iwicki <fedora@svgames.pl>
Date:   Sat Jan 9 15:25:35 2021 +0100

    rhbz1761626: Fix missing header files in -devel subpackage

diff --git a/squashfuse--PR-36.patch b/squashfuse--PR-36.patch
new file mode 100644
index 0000000..7908e96
--- /dev/null
+++ b/squashfuse--PR-36.patch
@@ -0,0 +1,40 @@
+From fc07fe641c9edcb9059c643f17803f0b3d6ba3b1 Mon Sep 17 00:00:00 2001
+From: "FeRD (Frank Dana)" <ferdnyc@gmail.com>
+Date: Thu, 17 Oct 2019 01:37:51 -0400
+Subject: [PATCH] Install remaining headers
+
+---
+ Makefile.am      | 6 +++++-
+ squashfuse.pc.in | 2 +-
+ 2 files changed, 6 insertions(+), 2 deletions(-)
+
+diff --git a/Makefile.am b/Makefile.am
+index 1507525..456e824 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -14,7 +14,11 @@ bin_PROGRAMS =
+ noinst_PROGRAMS =
+ 
+ lib_LTLIBRARIES = libsquashfuse.la libfuseprivate.la
+-include_HEADERS = squashfuse.h squashfs_fs.h
++
++pkgincludedir = @includedir@/squashfuse
++pkginclude_HEADERS = squashfuse.h squashfs_fs.h \
++	cache.h common.h config.h decompress.h dir.h file.h fs.h stack.h table.h \
++	traverse.h util.h xattr.h
+ 
+ pkgconfigdir = @pkgconfigdir@
+ pkgconfig_DATA 	= squashfuse.pc
+diff --git a/squashfuse.pc.in b/squashfuse.pc.in
+index f131107..adbc769 100644
+--- a/squashfuse.pc.in
++++ b/squashfuse.pc.in
+@@ -1,7 +1,7 @@
+ prefix=@prefix@
+ exec_prefix=@exec_prefix@
+ libdir=@libdir@
+-includedir=@includedir@
++includedir=@includedir@/squashfuse
+ 
+ Name: squashfuse
+ Description: squashfuse library to mount squashfs archives
diff --git a/squashfuse.spec b/squashfuse.spec
index 1e3560f..6a044f5 100644
--- a/squashfuse.spec
+++ b/squashfuse.spec
@@ -1,12 +1,16 @@
 Name:     squashfuse
 Version:  0.1.102
-Release:  5%{?dist}
+Release:  6%{?dist}
 Summary:  FUSE filesystem to mount squashfs archives
 
 License:  BSD
 URL:      https://github.com/vasi/squashfuse
 Source0:  https://github.com/vasi/squashfuse/archive/%{version}.tar.gz
 
+# Fix -devel package missing header files
+# See: https://patch-diff.githubusercontent.com/raw/vasi/squashfuse/pull/36.patch
+Patch0: %{name}--PR-36.patch
+
 BuildRequires: autoconf, automake, fuse-devel, gcc, libattr-devel, libtool, libzstd-devel, lz4-devel, xz-devel, zlib-devel
 Requires: %{name}-libs%{?_isa} = %{version}-%{release}
 
@@ -34,7 +38,7 @@ Libraries for running %{name} applications.
 
 
 %prep
-%autosetup
+%autosetup -p1
 
 
 %build
@@ -54,8 +58,7 @@ find %{buildroot} -name '*.la' -print -delete
 %{_mandir}/man1/*
 
 %files devel
-%{_includedir}/squashfs_fs.h
-%{_includedir}/squashfuse.h
+%{_includedir}/squashfuse/
 %{_libdir}/pkgconfig/squashfuse.pc
 %{_libdir}/*.so
 
@@ -65,6 +68,9 @@ find %{buildroot} -name '*.la' -print -delete
 %ldconfig_scriptlets libs
 
 %changelog
+* Sat Jan 09 2021 Artur Frenszek-Iwicki <fedora@svgames.pl> - 0.1.102-6
+- Add a patch that fixes missing header files in -devel subpackage (rhbz1761626)
+
 * Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.102-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
 
